跳转到主要内容
GET /api/v1/cloud/sessions/{session_id}/threads/{thread_id} 返回一个 Session thread。

路径参数

参数类型说明
session_idstringsess_ 为前缀的 Session ID
thread_idstringsthr_ 为前缀的 Thread ID

请求头

头部必选说明
AuthorizationBearer $QODER_PAT

示例请求

curl -X GET "https://api.qoder.com/api/v1/cloud/sessions/sess_019f00000000000000000000000000aa/threads/sthr_019f00000000000000000000000002bb" \
  -H "Authorization: Bearer $QODER_PAT"

示例响应

{
  "id": "sthr_019f00000000000000000000000002bb",
  "type": "session_thread",
  "session_id": "sess_019f00000000000000000000000000aa",
  "parent_thread_id": "sthr_019f00000000000000000000000001aa",
  "agent": {"id": "agent_019f000000000000000000000000002b", "type": "agent", "version": 2},
  "status": "running",
  "stats": null,
  "archived_at": null,
  "created_at": "2026-06-15T08:01:00.000Z",
  "updated_at": "2026-06-15T08:01:00.000Z"
}
完整响应结构见 Session Thread 对象

错误码

HTTP类型触发条件
401authentication_errorPAT 无效或过期
404not_found_errorSession 或 thread 不存在
HTTP 404 Not Found(Session 不存在)
{
  "type": "error",
  "error": {
    "type": "not_found_error",
    "message": "Session 'sess_doesnotexist_xxxxxxxxxxxxxxxxxxxxxxxx' was not found."
  }
}
HTTP 404 Not Found(Thread 不存在)
{
  "type": "error",
  "error": {
    "type": "not_found_error",
    "message": "Session thread 'sthr_fakefakefake_xxxxxxxxxxxxxxxx' was not found."
  }
}
完整错误信封格式见 错误参考